.breadcrumb {
  /* background-color: #f3e6d2; */
  /* background-color: transparent !important; */
  padding: 0.75rem 1rem;
  border-radius: 0.25rem;
  /* margin-bottom: 1rem; */
  font-family: inherit;
}


.breadcrumb ol {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
  list-style: none;
}

.breadcrumb-item + .breadcrumb-item::before {
  content: "/";
  padding: 0 0.5rem;
  /* color: #8a7245; */
}

.breadcrumb-item a {
  color: #8a7245;
  text-decoration: none;
  transition: color 0.2s;
}

.breadcrumb-item a:hover {
  color: #5e4e2e;
  text-decoration: underline;
}

.breadcrumb-item.active {
  color: #5e4e2e;
  font-weight: 500;
}





:root{
    --menu-color:#C3AC80;
    --second-color:#5D4C3B;
    --troisieme-color:#B5A98B;
    --quatriéme-color:#F3EEE1;
}
body{
  /* background-color:#E8E7E7; */
  /* background-color: var(--quatriéme-color); */
  background-image: url(https://i.pinimg.com/736x/8c/a6/a8/8ca6a873c8a4611da2125f9db622092f.jpg);

}
.menueBar{
    border-bottom: 1px solid var(--second-color) ;
    background-color: var(--menu-color);
    border-radius: 30px;
    margin-top: 6px;
}
.logo{
    /* background-color: var(--second-color); */
    color: var(--second-color);
    padding: 10px;
    border-radius: 30px;
    font-size: 25px;
    font-style: oblique;
    font-weight: bold;
}
.dropdown-menu{
  background-color: var(--second-color);
}
.drpdownlink{
  color: white;
}
.menu-select{
   color: var(--second-color) !important ;
   font-weight: bold;
    
}
.menu-unselect{
    color: #ffffff !important ;
    font-weight: bold;
  
}
.menu-unselect:hover{
    /* border: 1px solid var(--second-color);
    background-color: var(--second-color) ; */
    color: var(--second-color) !important ;
    font-weight: bold;
    padding: 1px ;
}
.connect{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 10rem;
  color: var(--second-color);
}
.connect:hover{
  color: var(--second-color)!important;
  text-decoration: underline !important;
}
.inscription{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 20px;
  color: var(--second-color);
}

.inscription:hover{
  color: var(--second-color)!important;
  text-decoration: underline !important;
}
.connect{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 5rem;
  color: var(--second-color);
}

.div-footer{
    background-color: var(--menu-color);
    border-radius: 30px;
}

footer {
    /* position: fixed; */
    bottom: 3px;
    width: 100%;
}
.corancard{
    border: 2px solid var(--menu-color);
}
.linkinscription{
    color: var(--menu-color);
}
.linkinscription:hover{
    color: var(--second-color)  !important;
}
.sallCoursBtn{
    background-color: var(--menu-color);
    color: white;
}

.sallCoursBtn:hover{
    background-color: white;
    color: var(--menu-color);
    border: 2px solid var(--menu-color);
}
.imgcard{
    width: 300px;
    height: 160px;
}
.textCours{
    color: var(--menu-color);
    font-weight: bold;
}

/* inscription Coran */
.coranForm{
    margin-top: 4rem;
    padding: 2rem;
    background-color: var(--quatriéme-color);
    border-radius: 30px;
    box-shadow:10px 10px 5px  #5D4C3B;

}
.forminput{
    margin-bottom: 35px;
    border: 2px solid var(--menu-color);
    border-radius: 5px;
    color: var(--menu-color);
}
.formdate{
    border: 2px solid var(--menu-color);
    border-radius: 5px;
    color: var(--menu-color);
}
.centered-legend {
    display: flex;
    justify-content: right;
    align-items: center;
    height: 100%; /* Nécessaire pour aligner verticalement */  
  }

  .heure{
    border: 2px solid var(--menu-color);
    border-radius: 5px;
    color: var(--menu-color);
    padding: 5px;
    
  }
  .moment{
    background-color: var(--menu-color);
    padding: 5px;
    color: white;
    border-radius: 5px 0px 0px 5px;
  }
  .textInscription{
    background-color: var(--menu-color);
    color: white;
    border-radius: 10px;
    padding: 10px;
  }
  .submitBtn{
    background-color: var(--menu-color);
    color: white;
    border-radius: 10px;
    padding: 10px;
  }
  .submitBtn:hover{
    background-color: white;
    color: var(--menu-color);
    border: 2px solid var(--menu-color);
  }

  /* Salle cours */
  .corancard{
    border: 1px solid var(--menu-color);
    border-radius: 30px;
    margin: 3px;
  }
  .btn-sall-coures{
    background-color: var(--menu-color);
    color: white;
    font-size: 12px;
    font-weight: bold;
  }
  .btn-sall-coures:hover{
    background-color: white;
    color: var(--menu-color);
    border: 2px solid var(--menu-color);
    font-size: 12px;
  }
  .coransall{
    border-top:2px solid var(--menu-color);
    padding-top: 4px;
  }
  .coranTitle{
    background-color: var(--menu-color);
    color: white;
    border-radius: 30px 30px 0px 0px;
    
  }
  .sallesSpane{
    background-color: var(--menu-color);
    color: white;
    padding: 13px;
    border-radius: 30px;
  }

/* Pagination */
  .pagination > li > a,
.pagination > li > span {
    color: var(--second-color); /* Changez cette couleur selon vos besoins */
}

.pagination > .active > a,
.pagination > .active > a:focus,
.pagination > .active > a:hover,
.pagination > .active > span,
.pagination > .active > span:focus,
.pagination > .active > span:hover {
    background-color:var(--second-color); /* Couleur de fond pour la page active */
    border-color:var(--second-color); /* Couleur de bordure pour la page active */
}

.page-item.active .page-link {
    z-index: 1;
    color: #fff; /* Couleur du texte pour la page active */
    background-color: var(--menu-color); /* Couleur de fond pour la page active */
    border-color: var(--second-color); /* Couleur de bordure pour la page active */
}




/* login */
.containea_form{
  background-color: rgba(232, 230, 230, 0.285);

  border-radius:0px 0px 30px 30px ;
  
}
.socialbtn{
  background-color: white;
  color: white;
}
.socialbtn:hover{
  background-color: white;
  color: var(--menu-color);
  border: 1px solid var(--menu-color);
}
.registerlogo{
  color: var(--menu-color);
}
.register-btn{
  background-color: var(--menu-color);
  color: white;
}
.register-btn:hover{
  background-color: white;
  color: var(--menu-color);
  border: 1px solid var(--menu-color);
}
#cardForm{
  border-radius: 1rem;
  border: var(--menu-color) solid 1px ;
  box-shadow: #19452d 0px 0px 10px 0px;
}

.showBtn{
  background-color: var(--menu-color) ;
  color: white;
  padding-bottom: 15px;
}
.showBtn:hover{
  background-color: white;
  color: var(--menu-color);
  border: 1px solid var(--menu-color);
}







/* acceuil */
.imgCarrosel{
  width: 100%;
  height: 34rem;
}
.textCarrosel:hover{
  background-color: var(--menu-color)!important;
  cursor: pointer;

}



/* tout les evenement */
.cardEventement{
  max-width: 540px; 
  margin-right: 20px;
  background-color: var(--menu-color);
  color: white;
  padding: 0 ;
}
.cardimg{
  width: 100%;
  height: 11rem;
  object-fit: cover;
 
}


/* salon */
.btnDicution{
  background-color: var(--menu-color);
  color: white;
  border-radius: 30px;
  width: 100%;
}
.btnDicution:hover{
  background-color: white;
  color: var(--menu-color);
  border: 1px solid var(--menu-color);
}
.btnRéponse{
  background-color: var(--second-color);
  color: white;
  border-radius: 30px;
  width: 100%;
}
.btnRéponse:hover{
  background-color: white;
  color: var(--menu-color);
  border: 1px solid var(--menu-color);
}
.evenContainer{
  margin-top: 10px;
  background-color: var(--quatriéme-color);
  color: rgb(0, 0, 0);
  border-radius: 30px;
  width: 100%;
  /* border: 3px solid var(--second-color); */
  box-shadow: 10px 10px 15px 10px var(--second-color);
}
.message{
  border: 2px solid var(--second-color);
  border-radius: 5px;
  /* padding-left: 6px;
  padding-right: 6px; */
  margin: 6px;
}
.message h2{
  margin-left: 10px;
}
.auteurName{
  margin-left: 10px;
}

.titreMessage{
  border-radius: 5px;
  margin-bottom: 6px;
  margin: 6px;
}
.titreMessage:hover{
  background-color: var(--menu-color);
  color: white;
}
.annoceLink{
  text-decoration: none;
  color: #000;
}
.soustitreMessage{
  /* padding-top: 6px; */
  background-color: #98895f;
  border-radius: 0px 0px 5px 5px ;
  margin-left: 0.4px;
  margin-right: 0.4px;
}
.buttonForum{
  margin-top: 5rem;
  background-color: var(--second-color);
  color: #fff;
  border-radius: 30px;
  font-size: 25px;

}
.dropdownForum{
  width: 87%;
  background-color: var(--menu-color);
  border: 2px solid var(--second-color);
  margin-right: 2px;
}
.addForumBtn{
  background-color: var(--second-color);
  color: #fff;
  border-radius: 30px;
  font-size: 25px;
}
.addForumBtn:hover{
  border: 2px solid var(--second-color);
  
}

.addForum{
  /* background-color: var(--second-color); */
  color: var(--second-color);
  border-radius: 70px;
  font-size: 25px;
  display: none;

  
  left: 100%; /* Décaler le texte à droite */
  /* margin-left: 10px; Espacement avec le bouton */
  transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.addForum.show {
  opacity: 1;
  transform: translateX(0);
}

.addForum.hide {
  opacity: 0;
  transform: translateX(-10px); /* Décaler légèrement à gauche */
}




.addForumBtn{
  color: #fff;
  font-size: large;
  padding: 10px;
  background-color: var(--second-color);
}

.forumDescription{
  background-color: var(--second-color);
  color: white;
  padding: 13px;
  border-radius: 30px;
}
/* show forum */
.profile-icon {
  margin-top: 9px;
  font-size: 50px;
  color: var(--second-color);
}

h3, h5 {
  margin: 0;
}
h5 {
  color: gray;
  font-size: 14px;
}
.profile-name{
  font-size: 16px;
  margin: 0;
  margin-top: 16px;
}
.textMessage{
  margin-top: 3px;
  position: relative; /* Permet au bouton de se positionner par rapport à ce div */
  background: #f8f9fa;
  padding: 15px;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  min-height: 150px;

}
.btn-bottom-left {
  
  background-color: var(--second-color);
  color: #fff;
  border: none;
  padding: 5px 10px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 12px;

}
.btn-bottom-left:hover {
  background-color: var(--menu-color);
}
.divButton{
  margin-top: 0px ;
  padding-left: 10px;
  padding-right: 20px;
  padding-bottom: 10px;
  border-bottom: 3px solid var(--second-color);

}
.headButton{
  padding-bottom: 12px;
  border-bottom: 3px solid var(--second-color);
}


/* popup */
.popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.592); /* Fond semi-transparent */
 
  justify-content: center;
  align-items: center;
}

.popup-content {
  background-color: var(--troisieme-color);
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
  width: 500px; /* Largeur du popup */
  color: white;
}

.close {
  float: right;
  font-size: 24px;
  cursor: pointer;
}

.close:hover {
  color: red;
}

.form-group {
  margin-bottom: 15px;
}

label {
  display: block;
  margin-bottom: 5px;
}

input, textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

/* cour presentiel */

.imgMosque{
  width: 30rem;
  height: 35rem;
}
.mosquecard{
  background-color: #FFFFFF;
  color: var(--second-color);
  border-radius: 30px;
  padding: 10px;
  box-shadow: 10px 10px 15px 10px var(--second-color);
}

/* inscription cour sur site */
.forminput2{
  margin-bottom: 3px;
  border: 2px solid var(--menu-color);
  border-radius: 5px;
  color: var(--menu-color);
}


.progress-container {
  width: 100%;
  background-color: var(--menu-color);
  height: 8px;
  border-radius: 4px;
  margin-bottom: 20px;
  overflow: hidden;
}

/* Barre de progression */
.progress-bar {
  height: 8px;
  width: 0%;
  background-color: var(--second-color);
  transition: width 0.3s ease-in-out;
}
/* comportement */
.comportementCard{
  /* margin-top: 4rem; */
  background-color: var(--menu-color);
  font-weight: bold;
  color: white;
  border-radius: 10px;
  padding: 10px;
  /* box-shadow: 30px 0 30px -5px #000; */
}
.title{
  background-color: var(--second-color);
  color: white;
  /* padding: 10px; */
}
.comportementContent{
  border: 1px solid var(--second-color);
  
}
.comportementTitle{
  padding: 10px;
  background-color: var(--second-color);
  color: white;
  border-radius: 30px ;
  font-weight: bold;
}
.comportement{
  padding: 10px;
  color: white;
  font-weight: bold;
  border-bottom: 1px solid var(--second-color);
}
.hadith-card {
  max-width: 800px;
  margin: 0 auto;
  border-radius: 15px;
  overflow: hidden;
  
}
.card-header {
  background-color: var(--second-color);
  color: white;
  padding: 10px;
  font-weight: bold;
  text-align: center;
}
.hadithLink{
 
  text-decoration: none;
  color: var(--second-color) ;
  
}
.hadithLink:hover{
  text-decoration: none;
  color: rgb(0, 0, 0) ;
}
/* .arabic-text {
  font-family: 'Traditional Arabic', 'Arial', sans-serif;
  direction: rtl;
} */

.hadith-content {
  border-right: 4px solid var(--second-color);
  background-color: var(--menu-color)!important;
}

/* oussoul */
.ecoleBadge{
  background-color: var(--second-color);
  color: white;
  padding: 5px;
  border-radius: 5px;
}

/* Téléphones très petits (ex: Galaxy Fold) */
@media (max-width: 359px) { 
  
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }
 }

/* Téléphones (portrait) */
@media (min-width: 360px) {   
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }
}

/* Téléphones (paysage) / Tablettes très petites */
@media (min-width: 480px) {  
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }
  
}


/* Tablettes (portrait) */
@media (min-width: 600px) {   
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }
 
}

/* Tablettes (paysage) / Petits écrans */
@media (min-width: 768px) {   
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }

}

/* Ordinateurs portables / écrans moyens */
@media (min-width: 992px) {   
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .logo{
    /* background-color: var(--second-color); */
    color: var(--second-color);
    padding: 1px;
    border-radius: 30px;
    font-size: 15px;
    font-style: oblique;
    font-weight: bold;
}
.menu-unselect{
  color: #ffffff !important ;
  font-weight: bold;
  font-size:12px ;

}
.menu-unselect:hover{
  /* border: 1px solid var(--second-color);
  background-color: var(--second-color) ; */
  color: var(--second-color) !important ;
  font-weight: bold;
  padding: 1px ;
}
.menu-select{
  color: var(--second-color) !important ;
  font-weight: bold;
  font-size:12px ;
   
}
.inscription{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 10px;
  color: var(--second-color);
  font-size:12px ;
}

.inscription:hover{
  color: var(--second-color)!important;
  text-decoration: underline !important;
}
.connect{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 5rem;
  color: var(--second-color);
  font-size:12px ;
}


}

/* Grands écrans (desktop) */
@media (min-width: 1200px) {   
  iframe {
    width: 100%;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }
 
  .logo{
    /* background-color: var(--second-color); */
    color: var(--second-color);
    padding: 10px;
    border-radius: 30px;
    font-size: 25px;
    font-style: oblique;
    font-weight: bold;
}
.menu-unselect{
  color: #ffffff !important ;
  font-weight: bold;
  font-size:15px ;

}
.menu-unselect:hover{
  /* border: 1px solid var(--second-color);
  background-color: var(--second-color) ; */
  color: var(--second-color) !important ;
  font-weight: bold;
  padding: 1px ;
}
.menu-select{
  color: var(--second-color) !important ;
  font-weight: bold;
  font-size:15px ;
   
}
.inscription{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 10px;
  color: var(--second-color);
  font-size:15px ;
}

.inscription:hover{
  color: var(--second-color)!important;
  text-decoration: underline !important;
}
.connect{
  text-decoration: none;
  margin-top: 10px;
  margin-left: 5rem;
  color: var(--second-color);
  font-size:15px ;
}



}

/* Écrans très larges (TV, écrans 4K) */
@media (min-width: 1600px) {  
  iframe {
    width: 38rem;
    height: 28rem;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
  }
  .connect{
    text-decoration: none;
    margin-top: 10px;
    margin-left: 10rem;
    color: var(--second-color);
  }
 

}
.btnSalles{
        background-color: var(--menu-color);
        color: white;
        padding: 10px 20px;
        border-radius: 5px;
        text-decoration: none;
         border: 2px solid var(--second-color);
    }
    .btnSalles:hover{
        background-color: var(--second-color);
        color: white;
        border: 2px solid var(--menu-color);
    }